package com.example.parkingcapstone;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class Ticket extends AppCompatActivity {

    EditText et;
    String message;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_ticket);

    }

    //This function was taken from StackOverflow
   // https://stackoverflow.com/questions/28546703/how-to-code-using-android-studio-to-send-an-email
    public void sendEmail() {
        Log.i("Send email", "");
        String[] TO = {"nathaniel.cadotte@snc.edu"};
        String[] CC = {""};
        Intent emailIntent = new Intent(Intent.ACTION_SEND);
        
       

        emailIntent.setData(Uri.parse("mailto:"));
        emailIntent.setType("text/plain");
        emailIntent.putExtra(Intent.EXTRA_EMAIL, TO);
        emailIntent.putExtra(Intent.EXTRA_CC, CC);
        emailIntent.putExtra(Intent.EXTRA_SUBJECT, "Complaint from eParking");
        emailIntent.putExtra(Intent.EXTRA_TEXT, message);

        try {
            startActivity(emailIntent);
            Log.i("Finished sending email...", "");
        } catch (android.content.ActivityNotFoundException ex) {
            Toast.makeText(this, "There is no email client installed.", Toast.LENGTH_SHORT).show();
        }
    }


    public void send(View v) // onClick
    {
        et = (EditText)findViewById(R.id.etComplaint);
        message = et.getText().toString();
        if(message.isEmpty())
            Toast.makeText(this, "Can't send an empty email!", Toast.LENGTH_SHORT).show();
        else {
            sendEmail();
            this.finish();
        }
    }
}
